Bug 216758 - Use @libdir@ instead of hardcoded /usr/lib in template-script.in files
Use @libdir@ instead of hardcoded /usr/lib in template-script.in files
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
1.0.2
All All
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
:
Depends On:
Blocks: 152373 240316 FDS1.1.0
  Show dependency treegraph
 
Reported: 2006-11-21 16:05 EST by Rich Megginson
Modified: 2015-12-07 11:53 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:53:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
files (843 bytes, text/plain)
2006-11-21 16:05 EST, Rich Megginson
no flags Details
diffs (15.34 KB, patch)
2006-11-21 16:06 EST, Rich Megginson
no flags Details | Diff
cvs commit log (3.14 KB, text/plain)
2006-11-21 16:38 EST, Rich Megginson
no flags Details

  None (edit)
Description Rich Megginson 2006-11-21 16:05:21 EST
The scripts are looking for /usr/lib64 instead of /usr/lib on x86_64.
Comment 1 Rich Megginson 2006-11-21 16:05:21 EST
Created attachment 141827 [details]
files
Comment 2 Rich Megginson 2006-11-21 16:06:23 EST
Created attachment 141828 [details]
diffs

Just replace /usr/lib with @libdir@ in the .in template files.
Comment 3 Nathan Kinder 2006-11-21 16:15:47 EST
ok.
Comment 4 Rich Megginson 2006-11-21 16:38:38 EST
Created attachment 141835 [details]
cvs commit log

Reviewed by: nkinder (Thanks!)
Files: https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=141827
Branch: HEAD
Fix Description: Just replace /usr/lib with @libdir@ in the script template .in
files.
Platforms tested: RHEL4
Flag Day: no
Doc impact: no
QA impact: should be covered by regular nightly and manual testing
New Tests integrated into TET: none
Comment 5 Nathan Kinder 2007-12-21 14:02:04 EST
Verified that we are using "@libdir@" in the templates .in files.  This is also
convered by all of our tests that use these command-line scripts on our x86_64
platforms.

Marking as VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.